### Enumeration

# Soup Encoding

#### Declaration

    enum Soup.Encoding

#### Description [src]

How a message body is encoded for transport.

#### Members

Name | Description
--- | ---
`SOUP_ENCODING_UNRECOGNIZED` | Unknown / error.
`SOUP_ENCODING_NONE` | No body is present (which is not the same as a 0-length body, and only occurs in certain places)
`SOUP_ENCODING_CONTENT_LENGTH` | Content-Length encoding.
`SOUP_ENCODING_EOF` | Response body ends when the connection is closed.
`SOUP_ENCODING_CHUNKED` | Chunked encoding (currently only supported for response)
`SOUP_ENCODING_BYTERANGES` | Multipart/byteranges (Reserved for future use: NOT CURRENTLY IMPLEMENTED)